Ajout Makefile stage0
[hvlinux.git] / ubuntu / ubuntu-cfg.sh
index 29be224..c3a3fe9 100755 (executable)
@@ -1,18 +1,16 @@
-#!/bin/sh
+#!/bin/bash
 set -o errexit
 
+source ./config.def
+
 # Liste des items:
 # 1. Désactiver touch CAPS LOCK
 
-USE_OPENOFFICE=1
-#INSTALL_WMAKER=1
-#INSTALL_MUSIC_STUDIO=1
-#INSTALL_DEV_TOOLS=1
-
 GST=gstreamer0.10
 
 APT="sudo apt-get --yes --force-yes"
 AGI="${APT} install"
+AGINR="${AGI} --no-install-recommends"
 
 ubuntu_cleanup()
 {
@@ -22,6 +20,12 @@ ubuntu_cleanup()
     ${APT} autoclean
 }
 
+hv_add_repo()
+{
+    sudo add-apt-repository ${1}
+    ${APT} update
+}
+
 if [ "`id -u`" -eq 0 ]; then
     echo "You must NOT be the super-user to execute this script"
     exit 1
@@ -38,7 +42,7 @@ if dpkg --list | grep "bluez-gstreamer" 1> /dev/null 2>&1; then
     ${APT} remove --purge bluetooth bluez bluez-gstreamer bluez-alsa bluez-cups
 fi
 
-if [ "x${USE_OPENOFFICE}" != "x1" ]; then
+if [ "x${INSTALL_OPENOFFICE}" != "x1" ]; then
     if dpkg --list | grep "openoffice" 1> /dev/null 2>&1; then
         ${APT} remove --purge openoffice*
     fi
@@ -49,7 +53,11 @@ if dpkg --list | grep "samba-common" 1> /dev/null 2>&1; then
 fi
 
 if dpkg --list | grep "evolution-exchange" 1> /dev/null 2>&1; then
-    ${APT} remove --purge evolution
+    ${APT} remove --purge evolution evolution-plugins evolution-webcal evolution-data-server evolution-indicator evolution-common
+fi
+
+if dpkg --list | grep "empathy-common" 1> /dev/null 2>&1; then
+    ${APT} remove --purge empathy*
 fi
 
 if dpkg --list | grep "pppconfig" 1> /dev/null 2>&1; then
@@ -68,6 +76,10 @@ if dpkg --list | grep "vinagre" 1> /dev/null 2>&1; then
     ${APT} remove --purge vinagre
 fi
 
+if dpkg --list | grep "modemmanager" 1> /dev/null 2>&1; then
+    ${APT} remove --purge modemmanager
+fi
+
 # Braille
 if dpkg --list | grep "brltty" 1> /dev/null 2>&1; then
     ${APT} remove --purge brltty
@@ -178,7 +190,8 @@ sudo update-grub
 ${AGI} emacs
 
 ${AGI} reiserfsprogs gparted
-${AGI} smartmontools gddrescue
+${AGI} gddrescue
+${AGINR} smartmontools
 
 # Connection serveurs NFS
 ${AGI} nfs-common portmap
@@ -188,6 +201,9 @@ ${AGI} subversion
 # Development
 if [ "x${INSTALL_DEV_TOOLS}" = "x1" ]; then
     ${AGI} git
+    # Set global configuration options to ~/.gitconfig
+    git config --global core.editor emacs
+    git config --global color.ui true
     ${AGI} build-essential texinfo gettext gawk bison flex
     ${AGI} autoconf autoconf-doc autotools-dev libtool
     ${AGI} manpages manpages-dev manpages-posix manpages-posix-dev
@@ -204,14 +220,16 @@ if [ "x${INSTALL_DEV_TOOLS}" = "x1" ]; then
     ${AGI} dh-make lintian dupload
 fi
 
-if [ "x${USE_OPENOFFICE}" = "x1" ]; then
-    ${AGI} abiword gnumeric gnumeric-plugins-extra
+if [ "x${INSTALL_WEB_SERVER}" = "x1" ]; then
+    ${AGI} libapache2-mod-php5
 fi
+
+${AGI} abiword gnumeric gnumeric-plugins-extra
 ${AGI} texlive texlive-latex-recommended texlive-latex-extra texlive-humanities
 
 # Jackd
 if [ "x${INSTALL_MUSIC_STUDIO}" = "x1" ]; then
-    ${AGI} jackd patchage
+    ${AGINR} jackd patchage
     sudo sed -i -e 's!^\(@audio\s*-\s*rtprio\s*\).*!\199!' \
         /etc/security/limits.d/audio.conf
     ${AGI} pulseaudio-module-jack
@@ -242,7 +260,14 @@ if [ ! -h /usr/lib/libdvdcss.so.2 ]; then
 fi
 ${AGI} ffmpeg
 ${AGI} ${GST}-ffmpeg ${GST}-plugins-bad ${GST}-plugins-ugly ${GST}-fluendo-mp3
-${AGI} mozilla-plugin-gnash # Requires "mysql-common"
+${AGI} libavcodec-extra-52
+if [ "x${INSTALL_GNASH}" = "x1" ]; then
+    ${AGI} mozilla-plugin-gnash # Requires "mysql-common"
+else
+    if dpkg --list | grep "gnash" 1> /dev/null 2>&1; then
+        ${APT} remove --purge gnash*
+    fi
+fi
 if [ -h /dev/cdrom ]; then # Don't install on machines without CD/DVD-ROM
 ${AGI} vlc mozilla-plugin-vlc
     ${AGI} sound-juicer
@@ -261,6 +286,7 @@ if [ "x${INSTALL_MUSIC_STUDIO}" = "x1" ]; then
     ${AGI} lilypond
     ${AGI} vkeybd
     ${AGI} rosegarden
+    ${AGI} ardour
 fi
 
 ${AGI} sylpheed
@@ -271,7 +297,15 @@ if [ -f ${HOME}/.sylpheed-2.0/folderlist.xml ]; then
         ${HOME}/.sylpheed-2.0/folderlist.xml
 fi
 
-if [ "x${INSTALL_WMAKER}" = "x1" ]; then
+# Chromium
+hv_add_repo "ppa:chromium-daily/ppa"
+${AGI} chromium-browser
+
+if [ "x${INSTALL_NETBOOK}" = "x1" ]; then
+    ${AGI} battery-status
+    ${AGI} maximus
+    ${AGI} window-picker-applet
+else
     ${AGI} wmaker
     if [ -d ${HOME}/GNUstep/Library/WindowMaker ]; then
         cat > ${HOME}/GNUstep/Library/WindowMaker/autostart << "EOF"
@@ -294,6 +328,9 @@ ${AGI} psutils
 ${AGI} imagemagick
 ${AGI} gimp
 
+# Pour changer la couleur des scrollbars (gris sur gris par défaut)
+${AGI} gnome-color-chooser
+
 ubuntu_cleanup
 
 exit $?